# reapr-facheck(1)

## NAME

reapr-facheck - checks IDs in fasta file

## SYNOPSIS

*reapr facheck* <in.fa> [out_prefix]

## DESCRIPTION

Checks that the names in the fasta file are ok.  Things like
trailing whitespace or characters (|':-) could break the pipeline.

If out_prefix is not given, it will die when a bad ID is found.
No output means everything is OK.

If out_prefix is given, writes a new fasta file out_prefix.fa with new
names, and out_prefix.info which has the mapping from old name to new name.

## SEE ALSO

reapr(1)
